import { Client, TcpClient } from 'msgpack-rpc-node';

const RPC_PORT = 9000;
const client = new Client(TcpClient, RPC_PORT);
await client.connect();

const server = Bun.serve({
  port: 3000,
  fetch(request) {
    const url = new URL(request.url);
    switch (url.pathname) {
      case '/run':
        client.call('Add', 'echo $(( 1 + 2 ))', 'msh').then(console.log);
        return new Response('Your code is running...');
      default:
        return new Response('404!', { status: 404 });
    }
  },
});

console.log(`Listening on http://localhost:${server.port}`);
